.wc-table-wrapper{
    position: relative;
}

.wc-table-header{
    position: relative;
    align-items: center;
}
.wc-table-header h3{
    color: rgba(0, 0, 0, .8);
    font-size: calc(1.375rem + 1.5vw);
    margin: 0;
}
.wc-table-wrapper-inner{
    position: relative;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
    margin-top:1.5rem;
}

/*#region Filter-bar*/
.wc-filterBar{
    padding: 32px 18px;

    border-bottom: 1px solid rgba(0, 0, 0, 0.20);
}
.wc-filter-header{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 15px;
    column-gap: 12px;
}
.wc-filter-header__actionButton{
    margin-left: 0;
}
.wc-filter-header__filterButton{
    display: flex;
    align-items: center;
    padding: 12px 16px;

    background-color: #ffffff;
    border-radius: 14px;
    border: 1px solid rgba(0, 0, 0, 0.20);
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.10);
}
.wc-filter-header__filterButton span{
    margin-left: 7px;

    color: black;
    font-size: 15px;
    font-weight: 500;
}
.wc-filter-header__right, .wc-search-wrapper{
    display: flex;
    align-items: center;
    column-gap: 10px;
}
.wc-search-wrapper .wc-input-group{
    margin-bottom: 0;
}
.wc-search-wrapper .wc-input-group, .wc-search-wrapper label{
    display: none;
}
.wc-search-wrapper .wc-input{
    border-radius: 40px;
}
.wc-filters{
    display: none;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 16px;
    margin-left: -10px;
    margin-right: -10px;
}
.wc-filters .wc-filter-wrapper {
    padding-left: 10px;
    padding-right: 10px;
}
/*#endregion*/

/*#region Table*/
.wc-table{
    width: 100%;
    border-collapse: collapse;
}
.wc-table tr{
    vertical-align: middle;
}
.wc-table thead{
    border-bottom: 1px solid;
}
.wc-table th,
.wc-table td{
    border:none;
    padding: 1rem .5rem;
    font-size: .9rem;
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}
.wc-table tbody tr{
    border-bottom: 1px solid rgba(0,0,0,.1);
}
.wc-table tbody tr:last-child{
    border-bottom: none;
}
.wc-table.wc-table-large th,
.wc-table.wc-table-large td{
    padding: 1.2rem .5rem;
    font-size: 16px;
}
.wc-table.wc-table-small th,
.wc-table.wc-table-small td{
    padding: 0.4rem 0.2rem;
    font-size: 14px;
}
/*#endregion*/

/*#region Collapsed table*/
.wc-table-wrapper-collapsed{
    position: relative;
}
.wc-table-wrapper-collapsed .wc-table-wrapper-inner{
    margin-top: 0;
    padding-bottom: 15px;

    overflow-x: hidden;
}
.wc-table-collapsed{
    width: 100%;

    border-collapse: separate;
    border-spacing: 0 2px;
}
.wc-table-collapsed tr{
    vertical-align: middle;
}
.wc-table-collapsed th,
.wc-table-collapsed td{
    display: flex;
    align-items: center;
    width: 100%;
    padding: 6px 18px;
    flex-wrap: wrap;
    gap: 5px;

    text-align: left;
    vertical-align: middle;
    overflow-wrap: anywhere;
    font-size: 14px;
    font-weight: 400;

    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}
.wc-table-collapsed thead{
    display: none;
}
.wc-table-collapsed thead tr{
    background: none;

    -webkit-filter: none;
    filter: none;
}
.wc-table-collapsed thead tr th{
    padding-top: 15px;
    padding-bottom: 13px;
    color: rgba(0, 0, 0, 0.60);
}
.wc-table-collapsed tbody tr{
    display: flex;
    flex-direction: column;
    position: relative;
    margin-bottom: 2px;

    border-radius: 0;
    box-shadow: 0 6px 15px 0 rgba(0, 0, 0, .1);
    -moz-box-shadow: 0 6px 15px 0 rgba(0, 0, 0, .1);
    -webkit-box-shadow: 0 6px 15px 0 rgba(0, 0, 0, .1);
}
.wc-table-collapsed td{
    background: #FFFFFF;
}
/*#endregion*/

/*#region Compact collapsed table*/
.wc-table-wrapper-collapsed--compact.wc-table-wrapper-collapsed .wc-table-wrapper-inner{
    padding-bottom: 12px;

    overflow-x: scroll;
}
.wc-table-collapsed--compact.wc-table-collapsed th,
.wc-table-collapsed--compact.wc-table-collapsed td{
    display: table-cell;
    padding-left: 10px;
    padding-right: 10px;
    width: unset;

    text-align: center;
    overflow-wrap: unset;
}
.wc-table-collapsed--compact.wc-table-collapsed thead{
    display: table-header-group;
}
.wc-table-collapsed--compact.wc-table-collapsed tbody tr{
    display: table-row;
    margin-bottom: unset;

    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    border-radius: 10px;

    -webkit-filter: drop-shadow(0 6px 6px rgba(0,0,0,.1));
    filter: drop-shadow(0 6px 6px rgba(0,0,0,.1));
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
}
.wc-table-collapsed--compact.wc-table-collapsed tbody tr td{
    padding-top: 20px;
    padding-bottom: 20px;
}
/*#endregion*/

/*#region Page-bar*/
.wc-pagination-wrapper{
    margin-top: 10px;
}
.wc-pagination{
    display: flex;
    align-items: center;
    justify-content: center;
}

.wc-pagination a{
    color:black;
}

.wc-pagination-start,
.wc-pagination-prev{
    margin-right: 11px;
}
.wc-pagination-next,
.wc-pagination-end{
    margin-left: 11px;
}
.wc-pagination-page .wc-select{
    margin-bottom: 0;
}
/*#endregion*/

/*#region Added classes*/
.wc-table-hover tbody tr:hover{
    cursor: pointer;
}
.wc-table-hover tbody tr:hover td,
.wc-table-hover tbody tr:hover th{
    background: #dddddd;
}

.wc-thead-fill thead th,
.wc-thead-fill thead td{
    background: #dddddd;
}
.wc-thead-fill thead th:first-child,
.wc-thead-fill thead td:first-child{
    border-top-left-radius: 5px;
}
.wc-thead-fill thead th:last-child,
.wc-thead-fill thead td:last-child{
    border-top-right-radius: 5px;
}
.wc-table-center td,
.wc-table-center th{
    text-align: center !important;
    vertical-align: middle !important;
}
.wc-table-right td,
.wc-table-right th{
    text-align: right !important;
}
.wc-table-large th,
.wc-table-large td{
    font-size: 16px;
}
.wc-table-small th,
.wc-table-small td{
    font-size: 14px;
}
/*#endregion*/

/*#region Псевдоклассы*/
.wc-filter-header__filterButton:hover{
    box-shadow: none;
}
/*#region filter-active*/
.wc-filter-active .wc-filter-header__filterButton{
    background-color: #FAFAFA;
}
.wc-filter-active .wc-filters{
    display: flex;
}
/*#endregion*/

/*#region search-active*/
.wc-search-active .wc-button--roundedIcon{
    background-color: #FAFAFA;
}
.wc-search-active .wc-filter-header__actionButton, .wc-search-active .wc-filter-header__filterButton{
    display: none;
}
.wc-search-active .wc-input-group{
    display: flex;
}
.wc-search-active .wc-filter-header__right, .wc-search-active .wc-search-wrapper{
    width: 100%;
}
/*#endregion*/

/*#region wc-table-collapsed*/
.wc-table-collapsed tbody tr td:first-child{
    padding-top: 25px;
}
.wc-table-collapsed tbody tr td:last-child{
    padding-bottom: 25px;
}
.wc-table-collapsed td[data-label]:before,
.wc-table-collapsed th[data-label]:before{
    color: rgba(0, 0, 0, 0.60);
    font-weight: 400;
    content: attr(data-label);
    white-space: nowrap;
}
.wc-table-collapsed .wc-table-collapsed__dateCol{
    position: absolute;
    top: 19px;
    right: 0;
    width: max-content;

    color: rgba(0, 0, 0, 0.60);
}
.wc-table-collapsed:not(.wc-table-collapsed--compact) .wc-table-collapsed__dateCol:first-child{
    padding-top: 6px;
}
.wc-table-collapsed .wc-table-collapsed__dateCol:first-child + td{
    padding-top: 25px;
}
.wc-table-collapsed:not(.wc-table-collapsed--compact) .wc-table-collapsed__bottomRightCol{
    position: absolute;
    right: 0;
    bottom: 0;
    width: max-content;
    padding-bottom: 25px;
    display: block;

    background: none;
}
/*#endregion*/

/*#region Compact collapsed table*/
.wc-table-collapsed--compact.wc-table-collapsed th:first-child,
.wc-table-collapsed--compact.wc-table-collapsed td:first-child{
    padding-left: 21px;
}
.wc-table-collapsed--compact.wc-table-collapsed tbody td:first-child{
    border-radius: 10px 0 0 10px;
}
.wc-table-collapsed--compact.wc-table-collapsed tbody td:last-child{
    border-radius: 0 10px 10px 0;
}
.wc-table-collapsed--compact.wc-table-collapsed tbody td:first-child:last-child{
    border-radius: 10px;
}
.wc-table-collapsed--compact.wc-table-collapsed td[data-label]:before,
.wc-table-collapsed--compact.wc-table-collapsed th[data-label]:before{
    display: none;
}
.wc-table-collapsed--compact.wc-table-collapsed #totalRow_tr{
    background: none;

    -webkit-filter: none;
    filter: none;
}
.wc-table-collapsed--compact.wc-table-collapsed #totalRow_tr td{
    padding-top: 12px !important;
    padding-bottom: 0 !important;
}
.wc-table-wrapper-collapsed--compact.wc-table-wrapper-collapsed .wc-pagination-wrapper{
    margin-top: 4px;
}
.wc-table-collapsed--compact.wc-table-collapsed .wc-table-collapsed__dateCol{
    position: unset;
    top: unset;
    right: unset;
    width: unset;

    color: #000000;
}
/*#endregion*/
/*#endregion*/

/*#region Отдельные элементы*/
.showCart_td .hideCart_button, .status_td .completed_button{
    display: none;
}
.clicked .showCart_button, .completed .inWork_button{
    display: none !important;
}
.clicked .hideCart_button, .completed .completed_button{
    display: inline-table !important;
}
.inWork_button, .completed_button, .hideCart_button, .showCart_button{
    padding: 0!important;
}
.completed_button{
    color: #198754!important;
}
#totalRow_tr td{
    font-weight: 600!important;
    background: none!important;
}
.writeOffCart_tr,
.writeOffCart_tr thead tr{
    -webkit-filter: none!important;
    filter: none!important;
    background: none!important;
}
.writeOffCart_tr > td{
    padding: 0 0 15px 0!important;
    background: none!important;
}
/*#endregion*/

@media (min-width: 576px) {
    /*#region Filter-bar*/
    .wc-filterBar{
        padding-left: 29px;
        padding-right: 29px;
    }
    .wc-search-wrapper .wc-input{
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }
    .wc-search-wrapper label{
        display: block;
    }
    /*#endregion*/
}

@media (min-width: 768px){
    /*#region Filter-bar*/
    .wc-filter-header__right{
        column-gap: 20px;
    }
    .wc-search-wrapper .wc-input-group{
        width: 370px;
    }
    .wc-filter-header .wc-filter-header__right,
    .wc-filter-header .wc-search-wrapper{
        width: unset;
    }
    .wc-filter-header .wc-filter-header__actionButton{
        display: block;
    }
    .wc-search-wrapper .wc-input-group,
    .wc-filter-header .wc-filter-header__filterButton{
        display: flex;
    }
    .wc-search-wrapper .wc-button--roundedIcon{
        display: none;
    }
    /*#endregion*/

    /*#region Table*/
    .wc-table th,
    .wc-table td{
        font-size: 1rem;
    }
    .wc-table-large.wc-table th,
    .wc-table-large.wc-table td{
        padding: 1.3rem .5rem;
    }

    /*#endregion*/

    /*#region Collapsed table*/
    .wc-table-wrapper-collapsed .wc-table-wrapper-inner{
        padding-bottom: 12px;
        overflow-x: scroll;
    }
    .wc-table-collapsed thead{
        display: table-header-group;
    }
    .wc-table-collapsed th,
    .wc-table-collapsed td{
        display: table-cell;
        padding-left: 10px;
        padding-right: 10px;
        width: unset;

        text-align: center;
        overflow-wrap: unset;
    }
    .wc-table-collapsed tbody tr{
        border-radius: 10px;

        display: table-row;
        margin-bottom: unset;
        box-shadow: none;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;

        -webkit-filter: drop-shadow(0 6px 6px rgba(0,0,0,.1));
        filter: drop-shadow(0 6px 6px rgba(0,0,0,.1));
        -webkit-backface-visibility: hidden;
        -moz-backface-visibility: hidden;
        backface-visibility: hidden;
    }
    .wc-table-collapsed tbody tr td,
    .wc-table-collapsed--compact.wc-table-collapsed tbody tr td{
        padding-top: 31px!important;
        padding-bottom: 31px!important;
    }

    /*#region Псевдоклассы*/
    .wc-table-collapsed th:first-child,
    .wc-table-collapsed td:first-child{
        padding-left: 21px;
    }
    .wc-table-collapsed tbody td:first-child{
        border-radius: 10px 0 0 10px;
    }
    .wc-table-collapsed tbody td:last-child{
        border-radius: 0 10px 10px 0;
    }
    .wc-table-collapsed tbody td:first-child:last-child{
        border-radius: 10px;
    }
    .wc-table-collapsed td[data-label]:before,
    .wc-table-collapsed th[data-label]:before{
        display: none;
    }
    /*#endregion*/

    .wc-table-collapsed #totalRow_tr{
        background: none;

        -webkit-filter: none;
        filter: none;
    }
    .wc-table-collapsed #totalRow_tr td{
        padding-top: 12px !important;
        padding-bottom: 0 !important;
    }
    .wc-table-wrapper-collapsed .wc-pagination-wrapper{
        margin-top: 4px;
    }
    .wc-table-collapsed .wc-table-collapsed__dateCol{
        position: unset;
        top: unset;
        right: unset;
        width: unset;

        color: #000000;
    }
    .wc-table-collapsed:not(.wc-table-collapsed--compact) .wc-table-collapsed__bottomRightCol{
        position: unset;
        right: unset;
        width: unset;
        display: table-cell;

        background: #FFFFFF;
    }
    .wc-table-collapsed tbody tr.writeOffCart_tr > td,
    .wc-table-collapsed--compact.wc-table-collapsed tbody tr.writeOffCart_tr > td{
        padding: 0 0 15px 0!important;
    }
    /*#endregion*/

    /*#region Added classes*/
    .wc-table-large th,
    .wc-table-large td{
        font-size: 17px;
    }
    .wc-table-small th,
    .wc-table-small td{
        font-size: 14px;
    }
    /*#endregion*/
}

@media (min-width: 992px){

}

@media (min-width: 1200px) {
    .wc-table-header h3{
        font-size: 2.5rem;
    }

    /*#region Collapsed table*/
    .wc-table-wrapper-collapsed,
    .wc-table-wrapper-collapsed--compact.wc-table-wrapper-collapsed{
        padding-bottom: 37px;

        background: #FFF;
        border-radius: 10px;
        box-shadow: 0 6px 15px 0 rgba(0, 0, 0, 0.10);
    }
    .wc-table-wrapper-collapsed .wc-table-wrapper-inner,
    .wc-table-wrapper-collapsed--compact.wc-table-wrapper-collapsed .wc-table-wrapper-inner{
        padding-left: 29px;
        padding-right: 29px;
    }
    .wc-table-collapsed,
    .wc-table-collapsed--compact.wc-table-collapsed{
        border-spacing: 0 10px;
    }
    .wc-table-collapsed th,
    .wc-table-collapsed td,
    .wc-table-collapsed--compact.wc-table-collapsed th,
    .wc-table-collapsed--compact.wc-table-collapsed td{
        padding-left: 13px;
        padding-right: 13px;
    }

    /*#region Псевдоклассы*/
    .wc-table-collapsed th:first-child,
    .wc-table-collapsed td:first-child,
    .wc-table-collapsed--compact.wc-table-collapsed th:first-child,
    .wc-table-collapsed--compact.wc-table-collapsed td:first-child{
        padding-left: 38px;
    }
    /*#endregion*/

    .wc-table-collapsed #totalRow_tr td,
    .wc-table-collapsed--compact.wc-table-collapsed #totalRow_tr td{
        padding-top: 12px !important;
        padding-bottom: 0 !important;
    }
    .wc-table-collapsed .wc-pagination-wrapper,
    .wc-table-collapsed--compact.wc-table-collapsed .wc-pagination-wrapper{
        margin-top: 16px;
    }

    /*#endregion*/
}

@media (min-width: 1400px){

}